new Vue({
	el: '#main',
	data: {
		roles: [],
		selectedRole: "",
		isopen: true,
		signAnalysis: [{
			photo: '../../images/qianyujingzhan_icon.png',
			label: '签约进展',
			url: 'sign-progress.html'
		}, {
			photo: '../../images/xuqianjingzhan_icon.png',
			label: '续签进展',
			url: 'renew-progress.html'
		}, {
			photo: '../../images/jumingfenxi_icon.png',
			label: '居民分析',
			url: 'resident-analysis.html'
		}, {
			photo: '../../images/tuigaiqian_icon.png',
			label: '退改签',
			url: 'change-back.html'
		}, {
			photo: '../../images/lianglvfenxi_icon.png',
			label: '两率分析',
			url: 'two-rate-analysis.html'
		}],
		serviceAnalysis: [{
			photo: '../../images/zongtifenxi_icon.png',
			label: '总体分析',
			url: 'comprehensive-analysis.html'
		}, {
			photo: '../../images/zixunfenxi_icon.png',
			label: '咨询分析',
			url: 'consulting-analysis.html'
		}, {
			photo: '../../images/pijianfenxi_icon.png',
			label: '评价分析',
			url: 'estimate-analysis.html'
		}, {
			photo: '../../images/changcufangfenxi_icon.png',
			label: '长处方分析',
			url: 'prescription-analysis.html'
		}]
	},
	methods: {
		open: function() {
			EventBus.$emit('open-click', {});
		},
		showDetail: function(url) {
			window.location.href = url;
		}
	},
	mounted: function() {
	    //获取缓存里面的userRole
	    var roles = window.localStorage.getItem("userRole");
	    this.roles = JSON.parse(roles);
		var selected = window.localStorage.getItem("selectedRole");
		if(selected && selected!= "undefined") {
			this.selectedRole = JSON.parse(selected).code;
		} else {
			this.selectedRole = this.roles[0].code;
			var selected = this.roles[0];
			window.localStorage.setItem("selectedRole", JSON.stringify(selected));
		}
	},
	watch: {
		selectedRole: function(val) {
			var selected = _.findWhere(this.roles, {
				code: val
			});
			window.localStorage.setItem("selectedRole", JSON.stringify(selected));
		}
	}
})